org.jboss.jca.core.tx.noopts

## Class LocalXAResourceImpl

- java.lang.Object
- - org.jboss.jca.core.tx.noopts.LocalXAResourceImpl

- All Implemented Interfaces:
    javax.transaction.xa.XAResource, org.jboss.jca.core.spi.transaction.LastResource, org.jboss.jca.core.spi.transaction.local.LocalXAResource, org.jboss.jca.core.spi.transaction.xa.XAResourceWrapper
  Direct Known Subclasses:
    LocalConnectableXAResourceImpl

      public class LocalXAResourceImpl
      extends java.lang.Object
      implements org.jboss.jca.core.spi.transaction.local.LocalXAResource, org.jboss.jca.core.spi.transaction.xa.XAResourceWrapper

  Local XA resource implementation.
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from interface javax.transaction.xa.XAResource

      `TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalXAResourceImpl(java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit(javax.transaction.xa.Xid xid, boolean onePhase)`
    `void` | `end(javax.transaction.xa.Xid xid, int flags)`
    `void` | `forget(javax.transaction.xa.Xid xid)`
    `java.lang.String` | `getJndiName()` Get the JNDI name
    `java.lang.String` | `getProductName()` Get product name
    `java.lang.String` | `getProductVersion()` Get product version
    `javax.transaction.xa.XAResource` | `getResource()` Get the XAResource that is being wrapped
    `int` | `getTransactionTimeout()`
    `boolean` | `isSameRM(javax.transaction.xa.XAResource xaResource)`
    `int` | `prepare(javax.transaction.xa.Xid xid)`
    `javax.transaction.xa.Xid[]` | `recover(int flag)`
    `void` | `rollback(javax.transaction.xa.Xid xid)`
    `void` | `setConnectionListener(org.jboss.jca.core.api.connectionmanager.listener.ConnectionListener cl)` Set the connection listener.
    `void` | `setConnectionManager(org.jboss.jca.core.api.connectionmanager.ConnectionManager connectionManager)` Set the connection manager.
    `boolean` | `setTransactionTimeout(int seconds)`
    `void` | `start(javax.transaction.xa.Xid xid, int flags)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalXAResourceImpl

          public LocalXAResourceImpl(java.lang.String productName,
                                     java.lang.String productVersion,
                                     java.lang.String jndiName)

      Creates a new instance.
      Parameters:
        `productName` - product name
        `productVersion` - product version
        `jndiName` - jndi name

  - ### Method Detail

    - #### setConnectionManager

          public void setConnectionManager(org.jboss.jca.core.api.connectionmanager.ConnectionManager connectionManager)

      Set the connection manager.
      Specified by:
        `setConnectionManager` in interface `org.jboss.jca.core.spi.transaction.local.LocalXAResource`
      Parameters:
        `connectionManager` - The value

    - #### setConnectionListener

          public void setConnectionListener(org.jboss.jca.core.api.connectionmanager.listener.ConnectionListener cl)

      Set the connection listener.
      Specified by:
        `setConnectionListener` in interface `org.jboss.jca.core.spi.transaction.local.LocalXAResource`
      Parameters:
        `cl` - The value

    - #### start

          public void start(javax.transaction.xa.Xid xid,
                            int flags)
                     throws javax.transaction.xa.XAException

      Specified by:
        `start` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### end

          public void end(javax.transaction.xa.Xid xid,
                          int flags)
                   throws javax.transaction.xa.XAException

      Specified by:
        `end` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### commit

          public void commit(javax.transaction.xa.Xid xid,
                             boolean onePhase)
                      throws javax.transaction.xa.XAException

      Specified by:
        `commit` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### forget

          public void forget(javax.transaction.xa.Xid xid)
                      throws javax.transaction.xa.XAException

      Specified by:
        `forget` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### getTransactionTimeout

          public int getTransactionTimeout()
                                    throws javax.transaction.xa.XAException

      Specified by:
        `getTransactionTimeout` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### isSameRM

          public boolean isSameRM(javax.transaction.xa.XAResource xaResource)
                           throws javax.transaction.xa.XAException

      Specified by:
        `isSameRM` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### prepare

          public int prepare(javax.transaction.xa.Xid xid)
                      throws javax.transaction.xa.XAException

      Specified by:
        `prepare` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### recover

          public javax.transaction.xa.Xid[] recover(int flag)
                                             throws javax.transaction.xa.XAException

      Specified by:
        `recover` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### rollback

          public void rollback(javax.transaction.xa.Xid xid)
                        throws javax.transaction.xa.XAException

      Specified by:
        `rollback` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### setTransactionTimeout

          public boolean setTransactionTimeout(int seconds)
                                        throws javax.transaction.xa.XAException

      Specified by:
        `setTransactionTimeout` in interface `javax.transaction.xa.XAResource`
      Throws:
        `javax.transaction.xa.XAException`

    - #### getResource

          public javax.transaction.xa.XAResource getResource()

      Get the XAResource that is being wrapped
      Specified by:
        `getResource` in interface `org.jboss.jca.core.spi.transaction.xa.XAResourceWrapper`
      Returns:
        The XAResource

    - #### getProductName

          public java.lang.String getProductName()

      Get product name
      Specified by:
        `getProductName` in interface `org.jboss.jca.core.spi.transaction.xa.XAResourceWrapper`
      Returns:
        Product name of the instance that created the wrapper if defined; otherwise `null`

    - #### getProductVersion

          public java.lang.String getProductVersion()

      Get product version
      Specified by:
        `getProductVersion` in interface `org.jboss.jca.core.spi.transaction.xa.XAResourceWrapper`
      Returns:
        Product version of the instance that created the warpper if defined; otherwise `null`

    - #### getJndiName

          public java.lang.String getJndiName()

      Get the JNDI name
      Specified by:
        `getJndiName` in interface `org.jboss.jca.core.spi.transaction.xa.XAResourceWrapper`
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)